Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IUserPreferencesManager

All Known Implementing Classes:
  GuestUserPreferencesManager, GuestUserPreferencesManagerWrapper, UserPreferencesManager

    public interface IUserPreferencesManager

Interface to user preferences management class.

Version:
  $Revision: 1.5 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com

Method Summary
`void` | `finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent)`
`UserProfile` | `getCurrentProfile()` Returns current profile.
`IPerson` | `getPerson()` Returns current person object
`StructureStylesheetDescription` | `getStructureStylesheetDescription()` Returns current structure stylesheet description
`ThemeStylesheetDescription` | `getThemeStylesheetDescription()` Returns current theme stylesheet description
`IUserLayoutManager` | `getUserLayoutManager()` Returns `IUserLayoutManager` object for performing layout-related operations.
`UserPreferences` | `getUserPreferences()` Returns current user preferences.
`UserPreferences` | `getUserPreferencesCopy()` Returns a copy of the user preferences
`boolean` | `isUserAgentUnmapped()` Determine if the user agent associated with this session has been successfuly mapped to a profile
`void` | `processUserPreferencesParameters(javax.servlet.http.HttpServletRequest req)`
`void` | `setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout, UserPreferences newPreferences)`

Method Detail

### processUserPreferencesParameters

    void processUserPreferencesParameters(javax.servlet.http.HttpServletRequest req)

### getPerson

    IPerson getPerson()

  Returns current person object

  Returns:
    current `IPerson`

### getUserLayoutManager

    IUserLayoutManager getUserLayoutManager()

  Returns `IUserLayoutManager` object for performing layout-related operations.

  Returns:
    an `IUserLayoutManager` value

### isUserAgentUnmapped

    boolean isUserAgentUnmapped()

  Determine if the user agent associated with this session has been successfuly mapped to a profile

  Returns:
    `true` if no mapping was found

### setNewUserLayoutAndUserPreferences

    void setNewUserLayoutAndUserPreferences(IUserLayoutManager newLayout,
                                            UserPreferences newPreferences)
                                            throws PortalException

  Throws:
    `PortalException`

### getUserPreferencesCopy

    UserPreferences getUserPreferencesCopy()

  Returns a copy of the user preferences

  Returns:
    a copy of the `UserPreferences` object

### getCurrentProfile

    UserProfile getCurrentProfile()

  Returns current profile.

  Returns:
    current `UserProfile`

### getThemeStylesheetDescription

    ThemeStylesheetDescription getThemeStylesheetDescription()
                                                             throws java.lang.Exception

  Returns current theme stylesheet description

  Returns:
    current `ThemeStylesheetDescription`
  Throws:
    `java.lang.Exception`

### getStructureStylesheetDescription

    StructureStylesheetDescription getStructureStylesheetDescription()
                                                                     throws java.lang.Exception

  Returns current structure stylesheet description

  Returns:
    current `StructureStylesheetDescription`
  Throws:
    `java.lang.Exception`

### getUserPreferences

    UserPreferences getUserPreferences()

  Returns current user preferences.

  Returns:
    current `UserPreferences`

### finishedSession

    void finishedSession(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD